%define module	dateutil

Name:		python-%{module}
Summary:	Provides powerful extensions to the standard datetime module
Version:	2.8.0
Release:	%mkrel 2
License:	Python
Group:		Development/Python
URL:		https://pypi.python.org/pypi/python-dateutil/
Source0:	https://pypi.python.org/packages/source/p/python-%{module}/python-%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	locales

%description
The dateutil module provides powerful extensions to the standard
datetime module available in Python. Features include:

* Computing of relative deltas (next month, next year, next monday,
  last week of month, etc);
* Computing of relative deltas between two given date and/or datetime
  objects;
* Computing of dates based on very flexible recurrence rules, using a
  superset of the iCalendar specification. Parsing of RFC strings is
  supported as well;
* Generic parsing of dates in almost any string format;
* Timezone (tzinfo) implementations for tzfile(5) format files
  (/etc/localtime, /usr/share/zoneinfo, etc), TZ environment string
  (in all known formats), iCalendar format files, given ranges (with
  help from relative deltas), local machine timezone, fixed offset
  timezone, UTC timezone, and Windows registry-based time zones;
* Internal up-to-date world timezone information based on Olson's
  database;
* Computing of Easter Sunday dates for any given year, using Western,
  Orthodox or Julian algorithms;
* More than 400 test cases.

%package -n python3-%{module}
Group:		Development/Python
Summary:	Provides powerful extensions to the standard datetime module
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
%{?python_provide:%python_provide python3-dateutil}

%description -n python3-%{module}
The dateutil module provides powerful extensions to the standard
datetime module available in Python3.

%prep
%setup -qn python-dateutil-%{version}

# remove bundled egg-info
rm -rf python_dateutil.egg-info/

iconv --from=ISO-8859-1 --to=UTF-8 NEWS > NEWS.new
mv NEWS.new NEWS

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc LICENSE
%doc README.rst NEWS
%{python3_sitelib}/%{module}
%{python3_sitelib}/python_%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Feb 20 2022 TerryN <terryn94 at gmail.com>  2.8.0-2pclos2022
- rebuild for python 3.10

* Fri Apr 19 2019 tex 2.8.0-1pclos2019
- new version 2.8.0
